<template>
  <div>
    <!--内容-->
    <Modal v-model="showModal" :width="100" class="modal-footer-none modal-top-0">
      <p slot="header">{{modalTitle}}</p>
      <div>
        <el-tabs v-model="activeName" @tab-click="_changeTabs">
          <el-tab-pane label="样品台账" name="sample">
            <ReportMakeBySample ref="sampleTabs"></ReportMakeBySample>
          </el-tab-pane>
          <el-tab-pane label="汇总报告台账" name="summary">
            <SummaryInfo ref="summaryTabs"></SummaryInfo>
          </el-tab-pane>
          <el-tab-pane label="试验项目报告台账" name="report">
            <ReportInfoMake ref="reportTabs"></ReportInfoMake>
          </el-tab-pane>
        </el-tabs>
      </div>
    </Modal>
  </div>
</template>
<script>
import ReportInfoMake from './tabs/ReportInfoMake'
import ReportMakeBySample from './tabs/ReportMakeBySample'
import SummaryInfo from './tabs/SummaryInfo'

export default {
  components: {
    ReportMakeBySample,
    ReportInfoMake,
    SummaryInfo
  },
  data() {
    return {
      showModal: false,
      modalTitle: '',
      activeName: '',
      contractId: '',
      entrustId: '',
      type: '',
      personal: ''
    }
  },
  computed: {
    tableHeight: function() {
      return document.documentElement.clientHeight - 135
    }
  },
  methods: {
    _open(entrustId) {
      this.modalTitle = '管理样品和报告'
      this.showModal = true
      this.activeName = 'sample'
      this.entrustId = entrustId
      this.$refs.sampleTabs._open(this.entrustId)
    },
    _report() {
      this.$refs.reportTabs._open(this.entrustId)
    },
    _sample() {
      console.log(this.entrustId)
      this.$refs.sampleTabs._open(this.entrustId)
    },
    _summary() {
      this.$refs.summaryTabs._open(this.entrustId)
    },
    _changeTabs(tab, event) {
      switch (tab.name) {
        case 'sample':
          this._sample()
          break
        case 'report':
          this._report()
          break
        case 'summary':
          this._summary()
          break
      }
    }
    // _sampleTabResult(msg) {
    //   if (msg === 'changeTab') {
    //     this.activeName = 'report'
    //     this.$refs.reportTabs._open(this.contractId, this.personal)
    //   }
    // }
  }
}
</script>
